# Uses of Interface
org.apache.datasketches.quantilescommon.QuantilesGenericSketchIterator

Packages that use QuantilesGenericSketchIterator
Package
Description
org.apache.datasketches.kll
This package is for the implementations of the sketch algorithm developed by Zohar Karnin, Kevin Lang, and Edo Liberty that is commonly referred to as the "KLL" sketch after the authors' last names.
org.apache.datasketches.quantiles
The quantiles package contains stochastic streaming algorithms that enable single-pass analysis of the distribution of a stream of quantiles.
org.apache.datasketches.quantilescommon
This package contains common tools and methods for the quantiles, kll and req packages.

## Uses of QuantilesGenericSketchIterator in org.apache.datasketches.kll

Classes in org.apache.datasketches.kll that implement QuantilesGenericSketchIterator
Modifier and Type
Class
Description
`final class`
`KllItemsSketchIterator<T>`
Iterator over KllItemsSketch.
Methods in org.apache.datasketches.kll that return QuantilesGenericSketchIterator
Modifier and Type
Method
Description
`QuantilesGenericSketchIterator<T>`
KllItemsSketch.`iterator()`

## Uses of QuantilesGenericSketchIterator in org.apache.datasketches.quantiles

Classes in org.apache.datasketches.quantiles that implement QuantilesGenericSketchIterator
Modifier and Type
Class
Description
`final class`
`ItemsSketchIterator<T>`
Iterator over ItemsSketch.
Methods in org.apache.datasketches.quantiles that return QuantilesGenericSketchIterator
Modifier and Type
Method
Description
`QuantilesGenericSketchIterator<T>`
ItemsSketch.`iterator()`

## Uses of QuantilesGenericSketchIterator in org.apache.datasketches.quantilescommon

Methods in org.apache.datasketches.quantilescommon that return QuantilesGenericSketchIterator
Modifier and Type
Method
Description
`QuantilesGenericSketchIterator<T>`
QuantilesGenericAPI.`iterator()`
Gets the iterator for this sketch, which is not sorted.